# Experiments

Types:

```python
from nemo_platform.types.experiments import (
    EvaluatorAggregate,
    ExperimentFilter,
    ExperimentRequest,
    ExperimentResponse,
    ExperimentResponsesPage,
    MetricStatFilters,
    NumberFilter,
)
```

Methods:

- client.experiments.create(\*, workspace, \*\*params) -> ExperimentResponse
- client.experiments.retrieve(name, \*, workspace) -> ExperimentResponse
- client.experiments.update(path_name, \*, workspace, \*\*params) -> ExperimentResponse
- client.experiments.list(\*, workspace, \*\*params) -> SyncDefaultPagination[ExperimentResponse]
- client.experiments.delete(name, \*, workspace) -> None
- client.experiments.pin(name, \*, workspace) -> ExperimentResponse
- client.experiments.unpin(name, \*, workspace) -> ExperimentResponse

## Sessions

Types:

```python
from nemo_platform.types.experiments import (
    ExperimentSessionFilter,
    ExperimentSessionResponse,
    ExperimentSessionResponsesPage,
)
```

Methods:

- client.experiments.sessions.list(name, \*, workspace, \*\*params) -> SyncDefaultPagination[ExperimentSessionResponse]
